Qt SDK 1.1 RC missing lots of libs from the Symbian SDK



  • Hi all,

    I guess this is the appropriate forum :)

    Recently I've been helping a client who is developing a Qt app. The client used Qt Mobility 1.1 (Organizer APIs only) in project. Everything works great util it's compiled against 4.7.2, but it fails with weird errors when compiled with 4.6.3, which is what Ovi Store currently accepts.

    So, the client asked for my help. I have do to lot of digging and and hit-and-trial to make things work.

    Even though the SDK docs say that I can use any Symbian ^1 and later native S60 APIs, but the actual release/armv5/ folder miss a lots of lib and required files which are needed for basic APIs such as Calendar.

    After a lot of time spent finding for solutions, I had to install Symbian 5th Ed SDK separately, and then copy over the required lib and dso files manually into the Qt's SDK folders.

    My request to the Qt SDK team is to kindly include complete Symbian SDK along, so when it is needed to use the native Symbian APIs, developers can just use them, rather than wasting a lot of time just on missing files.

    Thanks,

    // chall3ng3r //



  • Thanks for digging into it chall3ng3r, If you can also add it to http://bugreports.qt.nokia.com/browse/QTSDK that would be great, the SDK team lives there.



  • Hi,

    Yeah, thanks for the pointer :)

    After posting here, I realized that I should also file it as well so the team working on the SDK is aware of it.

    http://bugreports.qt.nokia.com/browse/QTSDK-693

    I hope they include all the libs in final release of the Qt SDK 1.1.

    // chall3ng3r //


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.